"use strict";
const path = require("path");

function resolve(dir) {
  return path.join(__dirname, dir);
}

const name = "nft";

module.exports = {
	devServer: {
		overlay: {
			warnings: false,
			errors: true
		},
		proxy: {
			// '/': {
			// 	target: 'http://120.76.231.94:9101/',
			// 	changeOrign: true,
			// },
		},
	},
  configureWebpack: {
    name: name,
    resolve: {
      alias: {
        "@utils": resolve("utils"),
        "@img": resolve("static/img"),
        // "@": resolve("src"),
        // "@i": resolve("src/api"),
        // "@c": resolve("src/components"),
        // "@a": resolve("src/assets"),
        // "@s": resolve("src/styles"),
        // "@u": resolve("src/utils"),
        // "@v": resolve("src/pages"),
      },
    },
  },
};